Bullet Collision Detection & Physics Library: btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle Class Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle Class Reference

`#include <btAxisSweep3Internal.h>`

Inheritance diagram for btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle:
[legend]
Collaboration diagram for btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle:
[legend]

## Public Member Functions
| BT_DECLARE_ALIGNED_ALLOCATOR ()
void | SetNextFree (BP_FP_INT_TYPE next)
BP_FP_INT_TYPE | GetNextFree () const
Public Member Functions inherited from btBroadphaseProxy
| BT_DECLARE_ALIGNED_ALLOCATOR ()
int | getUid () const
| btBroadphaseProxy ()
| btBroadphaseProxy (const btVector3 &aabbMin, const btVector3 &aabbMax, void *userPtr, int collisionFilterGroup, int collisionFilterMask)

## Public Attributes
BP_FP_INT_TYPE | m_minEdges [3]
BP_FP_INT_TYPE | m_maxEdges [3]
btBroadphaseProxy * | m_dbvtProxy
Public Attributes inherited from btBroadphaseProxy
void * | m_clientObject
int | m_collisionFilterGroup
int | m_collisionFilterMask
int | m_uniqueId
btVector3 | m_aabbMin
btVector3 | m_aabbMax

## Additional Inherited Members
Public Types inherited from btBroadphaseProxy
enum | CollisionFilterGroups { DefaultFilter = 1 , StaticFilter = 2 , KinematicFilter = 4 , DebrisFilter = 8 , SensorTrigger = 16 , CharacterFilter = 32 , AllFilter = -1 }
| optional filtering to cull potential collisions More...
Static Public Member Functions inherited from btBroadphaseProxy
static bool | isPolyhedral (int proxyType)
static bool | isConvex (int proxyType)
static bool | isNonMoving (int proxyType)
static bool | isConcave (int proxyType)
static bool | isCompound (int proxyType)
static bool | isSoftBody (int proxyType)
static bool | isInfinite (int proxyType)
static bool | isConvex2d (int proxyType)

## Detailed Description

template<typename BP_FP_INT_TYPE>
class btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle

Definition at line 55 of file btAxisSweep3Internal.h.

## Member Function Documentation

## ◆ BT_DECLARE_ALIGNED_ALLOCATOR()

template<typename BP_FP_INT_TYPE>

btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle::BT_DECLARE_ALIGNED_ALLOCATOR | ( |  | ) |

## ◆ GetNextFree()

template<typename BP_FP_INT_TYPE>

BP_FP_INT_TYPE btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle::GetNextFree | ( |  | ) | const
| inline

Definition at line 67 of file btAxisSweep3Internal.h.

## ◆ SetNextFree()

template<typename BP_FP_INT_TYPE>

void btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle::SetNextFree | ( | BP_FP_INT_TYPE | next | ) |
| inline

Definition at line 66 of file btAxisSweep3Internal.h.

## Member Data Documentation

## ◆ m_dbvtProxy

template<typename BP_FP_INT_TYPE>

btBroadphaseProxy* btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle::m_dbvtProxy

Definition at line 63 of file btAxisSweep3Internal.h.

## ◆ m_maxEdges

template<typename BP_FP_INT_TYPE>

BP_FP_INT_TYPE btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle::m_maxEdges[3]

Definition at line 61 of file btAxisSweep3Internal.h.

## ◆ m_minEdges

template<typename BP_FP_INT_TYPE>

BP_FP_INT_TYPE btAxisSweep3Internal< BP_FP_INT_TYPE >::Handle::m_minEdges[3]

Definition at line 61 of file btAxisSweep3Internal.h.

The documentation for this class was generated from the following file:

- btAxisSweep3Internal.h